{
"status": "success",
"data": {
"application_form": [
{
"block_type": "SECTION",
"label": "Personal Information",
"children": [
{
"block_type": "QUESTION",
"question_id": "6VrjehyBk685vubNydiR1hSn",
"label": "First name",
"description": null,
"required": true,
"category": null,
"question_type": "TEXT",
"unified_key": "FIRST_NAME",
"options": null,
"display_when": null
},
{
"block_type": "QUESTION",
"question_id": "Hjsapofs69cx2iAu6MtTfhoh",
"label": "Last name",
"description": null,
"required": true,
"category": null,
"question_type": "TEXT",
"unified_key": "LAST_NAME",
"options": null,
"display_when": null
},
{
"block_type": "INFORMATION",
"category": null,
"text": "We will use this information to contact you about your application.",
"display_when": null
}
]
},
{
"block_type": "QUESTION",
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"label": "What is your desired working location?",
"description": "Select your preferred work arrangement",
"required": true,
"category": null,
"question_type": "SINGLE_SELECT",
"unified_key": null,
"options": [
{
"id": "BsnL4pAhNQc26uSc4JopTP3P",
"label": "Remote",
"unified_key": null
},
{
"id": "8T4fcKgzLxbKFUo4saXaoMTG",
"label": "On-site",
"unified_key": null
},
{
"id": "2cJDK3dq4WNjovohSG7dSpfd",
"label": "Hybrid",
"unified_key": null
}
],
"display_when": null
},
{
"block_type": "QUESTION",
"question_id": "2H26BKTbDn2ygN2GfEcCsUP8",
"label": "What timezone are you in?",
"description": "This helps us schedule meetings at convenient times",
"required": true,
"category": null,
"question_type": "TEXT",
"unified_key": null,
"options": null,
"display_when": {
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"answer_equals": "BsnL4pAhNQc26uSc4JopTP3P"
}
},
{
"block_type": "INFORMATION",
"category": null,
"text": "Remote applicants should include their timezone so we can schedule interviews.",
"display_when": {
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"answer_equals": "BsnL4pAhNQc26uSc4JopTP3P"
}
},
{
"block_type": "QUESTION",
"question_id": "AdM1EuwBKE4pz94SSRHMgmba",
"label": "Which office would you prefer?",
"description": null,
"required": true,
"category": null,
"question_type": "SINGLE_SELECT",
"unified_key": null,
"options": [
{
"id": "EHCqUb5E6xzfjnfHT2LEgmM7",
"label": "San Francisco",
"unified_key": null
},
{
"id": "5RbHT73StFM5tHdF3aVr4do1",
"label": "New York",
"unified_key": null
},
{
"id": "F4rRwGTNeLQZV5VLwstERpsT",
"label": "London",
"unified_key": null
}
],
"display_when": {
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"answer_equals": "8T4fcKgzLxbKFUo4saXaoMTG"
}
},
{
"block_type": "QUESTION",
"question_id": "FuVZvF26NueKcN46o5euHeGx",
"label": "How many days per week would you like to work in the office?",
"description": null,
"required": true,
"category": null,
"question_type": "NUMBER",
"unified_key": null,
"options": null,
"display_when": {
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"answer_equals": "2cJDK3dq4WNjovohSG7dSpfd"
}
}
],
"requires_proxy_email": true,
"submission_token": "<example-token>"
}
}
Job postings
Inquire about a job posting's current form
Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).
{
"application_form": [
{
"block_type": "SECTION",
"label": "Personal Information",
"children": [
{
"block_type": "QUESTION",
"question_id": "6VrjehyBk685vubNydiR1hSn",
"label": "First name",
"description": null,
"required": true,
"category": null,
"question_type": "TEXT",
"unified_key": "FIRST_NAME",
"options": null,
"display_when": null
},
{
"block_type": "QUESTION",
"question_id": "Hjsapofs69cx2iAu6MtTfhoh",
"label": "Last name",
"description": null,
"required": true,
"category": null,
"question_type": "TEXT",
"unified_key": "LAST_NAME",
"options": null,
"display_when": null
},
{
"block_type": "INFORMATION",
"category": null,
"text": "We will use this information to contact you about your application.",
"display_when": null
}
]
},
{
"block_type": "QUESTION",
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"label": "What is your desired working location?",
"description": "Select your preferred work arrangement",
"required": true,
"category": null,
"question_type": "SINGLE_SELECT",
"unified_key": null,
"options": [
{
"id": "BsnL4pAhNQc26uSc4JopTP3P",
"label": "Remote",
"unified_key": null
},
{
"id": "8T4fcKgzLxbKFUo4saXaoMTG",
"label": "On-site",
"unified_key": null
},
{
"id": "2cJDK3dq4WNjovohSG7dSpfd",
"label": "Hybrid",
"unified_key": null
}
],
"display_when": null
},
{
"block_type": "QUESTION",
"question_id": "2H26BKTbDn2ygN2GfEcCsUP8",
"label": "What timezone are you in?",
"description": "This helps us schedule meetings at convenient times",
"required": true,
"category": null,
"question_type": "TEXT",
"unified_key": null,
"options": null,
"display_when": {
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"answer_equals": "BsnL4pAhNQc26uSc4JopTP3P"
}
},
{
"block_type": "INFORMATION",
"category": null,
"text": "Remote applicants should include their timezone so we can schedule interviews.",
"display_when": {
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"answer_equals": "BsnL4pAhNQc26uSc4JopTP3P"
}
},
{
"block_type": "QUESTION",
"question_id": "AdM1EuwBKE4pz94SSRHMgmba",
"label": "Which office would you prefer?",
"description": null,
"required": true,
"category": null,
"question_type": "SINGLE_SELECT",
"unified_key": null,
"options": [
{
"id": "EHCqUb5E6xzfjnfHT2LEgmM7",
"label": "San Francisco",
"unified_key": null
},
{
"id": "5RbHT73StFM5tHdF3aVr4do1",
"label": "New York",
"unified_key": null
},
{
"id": "F4rRwGTNeLQZV5VLwstERpsT",
"label": "London",
"unified_key": null
}
],
"display_when": {
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"answer_equals": "8T4fcKgzLxbKFUo4saXaoMTG"
}
},
{
"block_type": "QUESTION",
"question_id": "FuVZvF26NueKcN46o5euHeGx",
"label": "How many days per week would you like to work in the office?",
"description": null,
"required": true,
"category": null,
"question_type": "NUMBER",
"unified_key": null,
"options": null,
"display_when": {
"question_id": "EKaumKPGjeA97cb8ystMmkCe",
"answer_equals": "2cJDK3dq4WNjovohSG7dSpfd"
}
}
],
"requires_proxy_email": true,
"submission_token": "<example-token>"
}
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Kombo","colors":{"primary":"#14b8a6","light":"#5eead4","dark":"#15B8A6"},"logo":{"light":"https://mintcdn.com/kombo/5G-BTSylUTnMNzUN/logo/light.svg?fit=max\u0026auto=format\u0026n=5G-BTSylUTnMNzUN\u0026q=85\u0026s=e63a5882dfad565ffad086e946e31625","dark":"https://mintcdn.com/kombo/BvlFKneaD6eycZI3/logo/dark.svg?fit=max\u0026auto=format\u0026n=BvlFKneaD6eycZI3\u0026q=85\u0026s=c326174907f14ee7bef0e17d62708eba"},"favicon":"https://mintcdn.com/kombo/2lUmYlLqJZfpPMTz/favicon.svg?fit=max\u0026auto=format\u0026n=2lUmYlLqJZfpPMTz\u0026q=85\u0026s=06bfda04e248fb862b34c4e972d4b1a8","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://api.kombo.dev/v1"}},"navbar":{"links":[{"href":"https://app.kombo.dev","label":"Dashboard"}],"primary":{"type":"button","label":"Get a demo","href":"https://www.kombo.dev/demo"}},"footer":{"socials":{"website":"https://www.kombo.dev/","linkedin":"https://www.linkedin.com/company/kombo-api/about"}},"seo":{"indexing":"all"},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"kombo","hasAudioNarration":false,"actualSubdomain":"kombo","customDomains":["docs.kombo.dev"],"gitSource":{"type":"github","owner":"kombohq","repo":"docs-prod","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae4580381cc57ac631e6deb","collectionId":"15994046-81b6-46a4-be30-58dd50f8f9e3","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae4580381cc57ac631e6deb"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae7331ca3bb2421cadf36fd","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Developer documentation","count":696},{"language":"default","tag":"General","count":336},{"language":"default","tag":"Available Connectors","count":259},{"language":"default","tag":"HRIS","count":240},{"language":"default","tag":"ATS","count":238},{"language":"default","tag":"Features","count":114},{"language":"default","tag":"ATS Assessment \u0026 Background Check","count":90},{"language":"default","tag":"LMS","count":88},{"language":"default","tag":"Guides","count":75},{"language":"default","tag":"General API Reference","count":56}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"img[src^='https://storage.googleapis.com/kombo-assets/integrations/']{background-color:transparent!important}[data-name=frame] img{max-height:40vh}a[id]{scroll-margin-top:var(--scroll-mt)}"}],"page":{"pagePath":"ai-apply/v1/post-postings-posting-id-inquire","slug":"/ai-apply/v1/post-postings-posting-id-inquire","pageMetadata":{"title":"Inquire about a job posting's current form","description":"Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).","openapi":"POST /ai-apply/postings/{posting_id}/inquire","href":"/ai-apply/v1/post-postings-posting-id-inquire"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Inquire about a job posting's current form","description":"Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).","openapi":"POST /ai-apply/postings/{posting_id}/inquire","href":"/ai-apply/v1/post-postings-posting-id-inquire"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/kombo/807f792f5d0ef37a/rb2b.js","/_mintlify/custom/kombo/6fdcec7d895f83f2/auto-expand-response-fields.js"],"openApiReferenceData":{"operation":{"operationId":"PostAiApplyPostingsPostingIdInquire","summary":"Inquire about a job posting's current form","description":"Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).","tags":["AI Apply"],"parameters":["4d469204-6ba5-4dda-8d9c-d0f53d1d4176"],"requestBody":"f44aeb66-347b-4573-bfa5-02a417b47832","responses":{"200":"1a2ae206-d5b0-41db-bb44-1a63856d165a","default":"96a5ce48-c6b1-4aad-9974-8b27b40d71e6"},"method":"post","type":"path","servers":["567f150c-305b-4412-8b85-b96898ce4d14","6f753169-b8d2-4306-8677-baba237e982e","9e44fcb7-1717-4b99-8f86-757c743ff363"],"security":["4c0fac86-c1e5-4913-8676-81ce671f879d"],"path":"/ai-apply/postings/{posting_id}/inquire","baseUrlOptions":["https://api.kombo.dev/v1","https://api.us.kombo.dev/v1","https://api.ca.kombo.dev/v1"],"title":"Inquire about a job posting's current form","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"4d469204-6ba5-4dda-8d9c-d0f53d1d4176":{"name":"posting_id","in":"path","required":true,"description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing.","schema":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing.","isRequired":true,"uniqueKey":"","typeLabel":"string"},"examples":{"example1":{"value":"9QGNv3B98kL3hyELE1qsZ86s"}}}},"requestBody":{"description":"POST /ai-apply/postings/:posting_id/inquire Request body","content":{"application/json":{"schema":{"type":"object","properties":{},"uniqueKey":"","typeLabel":"object"},"examples":{"example1":{"title":"example1","value":{}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"1a2ae206-d5b0-41db-bb44-1a63856d165a":{"description":"POST /ai-apply/postings/:posting_id/inquire Positive response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","const":"success","isRequired":true,"uniqueKey":"status","typeLabel":"string"},"data":{"type":"object","properties":{"application_form":{"type":"array","items":{"oneOf":[{"type":"object","required":["block_type","question_id","label","description","required","category","question_type","unified_key","options","display_when"],"properties":{"block_type":{"type":"string","const":"QUESTION","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.block_type","typeLabel":"string"},"question_id":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing.","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.question_id","typeLabel":"string"},"label":{"type":"string","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.label","typeLabel":"string"},"description":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.description.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.description","typeLabel":"string | null"},"required":{"type":"boolean","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.required","typeLabel":"boolean"},"category":{"oneOf":[{"type":"string","enum":["EEO"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.category.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.category.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.category","typeLabel":"enum\u003cstring> | null"},"question_type":{"type":"string","enum":["TEXT","NUMBER","BOOLEAN","FILE","DATE","SINGLE_SELECT","MULTI_SELECT"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.question_type","typeLabel":"enum\u003cstring>"},"unified_key":{"oneOf":[{"type":"string","enum":["EMAIL","RESIDENCE_TYPE","RESIDENCE_FULL_STRING","RESIDENCE_COUNTRY","RESIDENCE_CITY","RESIDENCE_STATE","RESIDENCE_HOUSE_NUMBER","RESIDENCE_STREET_NAME","RESIDENCE_LINE_1","RESIDENCE_LINE_2","RESIDENCE_ZIP_CODE","APPLICANT_POOL_CONSENT","TERMS_AND_CONDITIONS","FIRST_NAME","LAST_NAME","FULL_NAME","GENDER","EXPECTED_START_DATE","RESUME","BIRTH_DATE","PHONE_NUMBER_TYPE","FULL_PHONE_NUMBER","PHONE_COUNTRY_CODE","PHONE_NATIONAL_NUMBER","PHONE_EXTENSION"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.unified_key.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["EMAIL","RESIDENCE_TYPE","RESIDENCE_FULL_STRING","RESIDENCE_COUNTRY","RESIDENCE_CITY","RESIDENCE_STATE","RESIDENCE_HOUSE_NUMBER","RESIDENCE_STREET_NAME","RESIDENCE_LINE_1","RESIDENCE_LINE_2","RESIDENCE_ZIP_CODE","APPLICANT_POOL_CONSENT","TERMS_AND_CONDITIONS","FIRST_NAME","LAST_NAME","FULL_NAME","GENDER","EXPECTED_START_DATE","RESUME","BIRTH_DATE","PHONE_NUMBER_TYPE","FULL_PHONE_NUMBER","PHONE_COUNTRY_CODE","PHONE_NATIONAL_NUMBER","PHONE_EXTENSION"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.unified_key.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.unified_key","typeLabel":"enum\u003cstring> | null"},"options":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing.","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.options.oneOf.0.items.[INDEX].id","typeLabel":"string"},"label":{"type":"string","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.options.oneOf.0.items.[INDEX].label","typeLabel":"string"},"unified_key":{"oneOf":[{"type":"string","enum":["HOME","WORK","MAILING","AD","AE","AF","AG","AI","AL","AM","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","YE","YT","ZA","ZM","ZW","MALE","FEMALE","NON_BINARY","NOT_SPECIFIED","MOBILE","LANDLINE","SOURCE_OTHER","SOURCE_OTHER_JOB_BOARD"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.options.oneOf.0.items.[INDEX].unified_key.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["HOME","WORK","MAILING","AD","AE","AF","AG","AI","AL","AM","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","YE","YT","ZA","ZM","ZW","MALE","FEMALE","NON_BINARY","NOT_SPECIFIED","MOBILE","LANDLINE","SOURCE_OTHER","SOURCE_OTHER_JOB_BOARD"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.options.oneOf.0.items.[INDEX].unified_key.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.options.oneOf.0.items.[INDEX].unified_key","typeLabel":"enum\u003cstring> | null"}},"required":["id","label","unified_key"],"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.options.oneOf.0.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.options.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"id":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing."},"label":{"type":"string"},"unified_key":{"oneOf":[{"type":"string","enum":["HOME","WORK","MAILING","AD","AE","AF","AG","AI","AL","AM","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","YE","YT","ZA","ZM","ZW","MALE","FEMALE","NON_BINARY","NOT_SPECIFIED","MOBILE","LANDLINE","SOURCE_OTHER","SOURCE_OTHER_JOB_BOARD"]},{"type":"null","enum":["HOME","WORK","MAILING","AD","AE","AF","AG","AI","AL","AM","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","YE","YT","ZA","ZM","ZW","MALE","FEMALE","NON_BINARY","NOT_SPECIFIED","MOBILE","LANDLINE","SOURCE_OTHER","SOURCE_OTHER_JOB_BOARD"]}]}},"required":["id","label","unified_key"]},"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.options.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.options","typeLabel":"object[] | null"},"display_when":{"oneOf":[{"type":"object","properties":{"question_id":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing.","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.question_id","typeLabel":"string"},"answer_equals":{"oneOf":[{"type":"string","description":"Answer to a `TEXT` question, the option ID of the answer to a `SINGLE_SELECT` question, or the answer to a `DATE` question as an ISO 8601 date string (e.g. \"2021-12-31T23:59:59.000Z\").","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"Answer to a `MULTI_SELECT` question, contains the IDs of the selected options.","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals.oneOf.1","typeLabel":"string[]"},{"type":"number","description":"Answer to a `NUMBER` question.","format":"double","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals.oneOf.2","typeLabel":"number\u003cdouble>"},{"type":"boolean","description":"Answer to a `BOOLEAN` question.","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Answer to a `FILE` question.","required":["name","content_type","data"],"properties":{"name":{"type":"string","description":"The original name (e.g., \"resume.pdf\")","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals.oneOf.4.name","typeLabel":"string"},"content_type":{"type":"string","description":"The MIME type of the file (e.g., \"application/pdf\", \"image/jpeg\")","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals.oneOf.4.content_type","typeLabel":"string"},"data":{"description":"The file content encoded as a base64 string","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals.oneOf.4.data","typeLabel":"any"}},"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals.oneOf.4","typeLabel":"object"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0.answer_equals","typeLabel":"string | string[] | number\u003cdouble> | boolean | object"}},"required":["question_id","answer_equals"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"question_id":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing."},"answer_equals":{"oneOf":[{"type":"string","description":"Answer to a `TEXT` question, the option ID of the answer to a `SINGLE_SELECT` question, or the answer to a `DATE` question as an ISO 8601 date string (e.g. \"2021-12-31T23:59:59.000Z\")."},{"type":"array","items":{"type":"string"},"description":"Answer to a `MULTI_SELECT` question, contains the IDs of the selected options."},{"type":"number","description":"Answer to a `NUMBER` question.","format":"double"},{"type":"boolean","description":"Answer to a `BOOLEAN` question."},{"type":"object","description":"Answer to a `FILE` question.","required":["name","content_type","data"],"properties":{"name":{"type":"string","description":"The original name (e.g., \"resume.pdf\")"},"content_type":{"type":"string","description":"The MIME type of the file (e.g., \"application/pdf\", \"image/jpeg\")"},"data":{"description":"The file content encoded as a base64 string"}}}]}},"required":["question_id","answer_equals"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.0.display_when","typeLabel":"object | null"}},"uniqueKey":"data.application_form.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["block_type","category","text","display_when"],"properties":{"block_type":{"type":"string","const":"INFORMATION","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.block_type","typeLabel":"string"},"category":{"oneOf":[{"type":"string","enum":["EEO"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.category.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.category.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.category","typeLabel":"enum\u003cstring> | null"},"text":{"type":"string","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.text","typeLabel":"string"},"display_when":{"oneOf":[{"type":"object","properties":{"question_id":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing.","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.question_id","typeLabel":"string"},"answer_equals":{"oneOf":[{"type":"string","description":"Answer to a `TEXT` question, the option ID of the answer to a `SINGLE_SELECT` question, or the answer to a `DATE` question as an ISO 8601 date string (e.g. \"2021-12-31T23:59:59.000Z\").","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"Answer to a `MULTI_SELECT` question, contains the IDs of the selected options.","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals.oneOf.1","typeLabel":"string[]"},{"type":"number","description":"Answer to a `NUMBER` question.","format":"double","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals.oneOf.2","typeLabel":"number\u003cdouble>"},{"type":"boolean","description":"Answer to a `BOOLEAN` question.","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Answer to a `FILE` question.","required":["name","content_type","data"],"properties":{"name":{"type":"string","description":"The original name (e.g., \"resume.pdf\")","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals.oneOf.4.name","typeLabel":"string"},"content_type":{"type":"string","description":"The MIME type of the file (e.g., \"application/pdf\", \"image/jpeg\")","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals.oneOf.4.content_type","typeLabel":"string"},"data":{"description":"The file content encoded as a base64 string","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals.oneOf.4.data","typeLabel":"any"}},"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals.oneOf.4","typeLabel":"object"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0.answer_equals","typeLabel":"string | string[] | number\u003cdouble> | boolean | object"}},"required":["question_id","answer_equals"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"question_id":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing."},"answer_equals":{"oneOf":[{"type":"string","description":"Answer to a `TEXT` question, the option ID of the answer to a `SINGLE_SELECT` question, or the answer to a `DATE` question as an ISO 8601 date string (e.g. \"2021-12-31T23:59:59.000Z\")."},{"type":"array","items":{"type":"string"},"description":"Answer to a `MULTI_SELECT` question, contains the IDs of the selected options."},{"type":"number","description":"Answer to a `NUMBER` question.","format":"double"},{"type":"boolean","description":"Answer to a `BOOLEAN` question."},{"type":"object","description":"Answer to a `FILE` question.","required":["name","content_type","data"],"properties":{"name":{"type":"string","description":"The original name (e.g., \"resume.pdf\")"},"content_type":{"type":"string","description":"The MIME type of the file (e.g., \"application/pdf\", \"image/jpeg\")"},"data":{"description":"The file content encoded as a base64 string"}}}]}},"required":["question_id","answer_equals"],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.1.display_when","typeLabel":"object | null"}},"uniqueKey":"data.application_form.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["block_type","label","children"],"properties":{"block_type":{"type":"string","const":"SECTION","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.2.block_type","typeLabel":"string"},"label":{"type":"string","isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.2.label","typeLabel":"string"},"children":{"type":"array","items":{"type":"object","uniqueKey":"data.application_form.items.[INDEX].oneOf.2.children.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.application_form.items.[INDEX].oneOf.2.children","typeLabel":"object[]"}},"uniqueKey":"data.application_form.items.[INDEX].oneOf.2","typeLabel":"object"}],"uniqueKey":"data.application_form.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.application_form","typeLabel":"object[]"},"requires_proxy_email":{"type":"boolean","description":"True if applying to this job creates a proxy email address for the candidate.","isRequired":true,"uniqueKey":"data.requires_proxy_email","typeLabel":"boolean"},"submission_token":{"type":"string","description":"Single-use JWT for submitting the application. Valid for two days from generation.","isRequired":true,"uniqueKey":"data.submission_token","typeLabel":"string"}},"required":["application_form","requires_proxy_email","submission_token"],"examples":[{"application_form":[{"block_type":"SECTION","label":"Personal Information","children":[{"block_type":"QUESTION","question_id":"6VrjehyBk685vubNydiR1hSn","label":"First name","description":null,"required":true,"category":null,"question_type":"TEXT","unified_key":"FIRST_NAME","options":null,"display_when":null},{"block_type":"QUESTION","question_id":"Hjsapofs69cx2iAu6MtTfhoh","label":"Last name","description":null,"required":true,"category":null,"question_type":"TEXT","unified_key":"LAST_NAME","options":null,"display_when":null},{"block_type":"INFORMATION","category":null,"text":"We will use this information to contact you about your application.","display_when":null}]},{"block_type":"QUESTION","question_id":"EKaumKPGjeA97cb8ystMmkCe","label":"What is your desired working location?","description":"Select your preferred work arrangement","required":true,"category":null,"question_type":"SINGLE_SELECT","unified_key":null,"options":[{"id":"BsnL4pAhNQc26uSc4JopTP3P","label":"Remote","unified_key":null},{"id":"8T4fcKgzLxbKFUo4saXaoMTG","label":"On-site","unified_key":null},{"id":"2cJDK3dq4WNjovohSG7dSpfd","label":"Hybrid","unified_key":null}],"display_when":null},{"block_type":"QUESTION","question_id":"2H26BKTbDn2ygN2GfEcCsUP8","label":"What timezone are you in?","description":"This helps us schedule meetings at convenient times","required":true,"category":null,"question_type":"TEXT","unified_key":null,"options":null,"display_when":{"question_id":"EKaumKPGjeA97cb8ystMmkCe","answer_equals":"BsnL4pAhNQc26uSc4JopTP3P"}},{"block_type":"INFORMATION","category":null,"text":"Remote applicants should include their timezone so we can schedule interviews.","display_when":{"question_id":"EKaumKPGjeA97cb8ystMmkCe","answer_equals":"BsnL4pAhNQc26uSc4JopTP3P"}},{"block_type":"QUESTION","question_id":"AdM1EuwBKE4pz94SSRHMgmba","label":"Which office would you prefer?","description":null,"required":true,"category":null,"question_type":"SINGLE_SELECT","unified_key":null,"options":[{"id":"EHCqUb5E6xzfjnfHT2LEgmM7","label":"San Francisco","unified_key":null},{"id":"5RbHT73StFM5tHdF3aVr4do1","label":"New York","unified_key":null},{"id":"F4rRwGTNeLQZV5VLwstERpsT","label":"London","unified_key":null}],"display_when":{"question_id":"EKaumKPGjeA97cb8ystMmkCe","answer_equals":"8T4fcKgzLxbKFUo4saXaoMTG"}},{"block_type":"QUESTION","question_id":"FuVZvF26NueKcN46o5euHeGx","label":"How many days per week would you like to work in the office?","description":null,"required":true,"category":null,"question_type":"NUMBER","unified_key":null,"options":null,"display_when":{"question_id":"EKaumKPGjeA97cb8ystMmkCe","answer_equals":"2cJDK3dq4WNjovohSG7dSpfd"}}],"requires_proxy_email":true,"submission_token":"\u003cexample-token>"}],"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["status","data"],"uniqueKey":"","typeLabel":"object"},"examples":{"example1":{"title":"example1","value":{"status":"success","data":{"application_form":[{"block_type":"SECTION","label":"Personal Information","children":[{"block_type":"QUESTION","question_id":"6VrjehyBk685vubNydiR1hSn","label":"First name","description":null,"required":true,"category":null,"question_type":"TEXT","unified_key":"FIRST_NAME","options":null,"display_when":null},{"block_type":"QUESTION","question_id":"Hjsapofs69cx2iAu6MtTfhoh","label":"Last name","description":null,"required":true,"category":null,"question_type":"TEXT","unified_key":"LAST_NAME","options":null,"display_when":null},{"block_type":"INFORMATION","category":null,"text":"We will use this information to contact you about your application.","display_when":null}]},{"block_type":"QUESTION","question_id":"EKaumKPGjeA97cb8ystMmkCe","label":"What is your desired working location?","description":"Select your preferred work arrangement","required":true,"category":null,"question_type":"SINGLE_SELECT","unified_key":null,"options":[{"id":"BsnL4pAhNQc26uSc4JopTP3P","label":"Remote","unified_key":null},{"id":"8T4fcKgzLxbKFUo4saXaoMTG","label":"On-site","unified_key":null},{"id":"2cJDK3dq4WNjovohSG7dSpfd","label":"Hybrid","unified_key":null}],"display_when":null},{"block_type":"QUESTION","question_id":"2H26BKTbDn2ygN2GfEcCsUP8","label":"What timezone are you in?","description":"This helps us schedule meetings at convenient times","required":true,"category":null,"question_type":"TEXT","unified_key":null,"options":null,"display_when":{"question_id":"EKaumKPGjeA97cb8ystMmkCe","answer_equals":"BsnL4pAhNQc26uSc4JopTP3P"}},{"block_type":"INFORMATION","category":null,"text":"Remote applicants should include their timezone so we can schedule interviews.","display_when":{"question_id":"EKaumKPGjeA97cb8ystMmkCe","answer_equals":"BsnL4pAhNQc26uSc4JopTP3P"}},{"block_type":"QUESTION","question_id":"AdM1EuwBKE4pz94SSRHMgmba","label":"Which office would you prefer?","description":null,"required":true,"category":null,"question_type":"SINGLE_SELECT","unified_key":null,"options":[{"id":"EHCqUb5E6xzfjnfHT2LEgmM7","label":"San Francisco","unified_key":null},{"id":"5RbHT73StFM5tHdF3aVr4do1","label":"New York","unified_key":null},{"id":"F4rRwGTNeLQZV5VLwstERpsT","label":"London","unified_key":null}],"display_when":{"question_id":"EKaumKPGjeA97cb8ystMmkCe","answer_equals":"8T4fcKgzLxbKFUo4saXaoMTG"}},{"block_type":"QUESTION","question_id":"FuVZvF26NueKcN46o5euHeGx","label":"How many days per week would you like to work in the office?","description":null,"required":true,"category":null,"question_type":"NUMBER","unified_key":null,"options":null,"display_when":{"question_id":"EKaumKPGjeA97cb8ystMmkCe","answer_equals":"2cJDK3dq4WNjovohSG7dSpfd"}}],"requires_proxy_email":true,"submission_token":"\u003cexample-token>"}}}},"exampleType":"examples"}},"exampleType":"examples"},"96a5ce48-c6b1-4aad-9974-8b27b40d71e6":{"description":"The standard error response with the error codes for AI Apply.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["error"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"error":{"type":"object","properties":{"code":{"oneOf":[{"type":"string","enum":["PLATFORM.RATE_LIMIT_EXCEEDED","PLATFORM.CONCURRENCY_LIMIT_EXCEEDED","PLATFORM.INTEGRATION_NOT_FOUND","PLATFORM.INPUT_INVALID","PLATFORM.UNKNOWN_ERROR","PLATFORM.IP_NOT_WHITELISTED","PLATFORM.AUTHENTICATION_INVALID","PLATFORM.TASK_TIMED_OUT","REMOTE.SERVICE_UNAVAILABLE","REMOTE.RATE_LIMIT_EXCEEDED","REMOTE.INPUT_INVALID","REMOTE.UNKNOWN_HTTP_ERROR","AI_APPLY.JOB_FEED_IMPORT_ALREADY_RUNNING","AI_APPLY.JOB_FEED_IMPORT_TIMED_OUT","AI_APPLY.JOB_POSTING_ALREADY_EXISTS"],"example":"ATS.JOB_CLOSED","description":"Some errors include an error code that can be used to identify their cause. See the [Error Handling Docs](https://docs.kombo.dev/guides/errors) for more information. For your error handling logic please use the error `code` instead of other properties (e.g. message, http status code, ...).","isRequired":true,"uniqueKey":"error.code.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["PLATFORM.RATE_LIMIT_EXCEEDED","PLATFORM.CONCURRENCY_LIMIT_EXCEEDED","PLATFORM.INTEGRATION_NOT_FOUND","PLATFORM.INPUT_INVALID","PLATFORM.UNKNOWN_ERROR","PLATFORM.IP_NOT_WHITELISTED","PLATFORM.AUTHENTICATION_INVALID","PLATFORM.TASK_TIMED_OUT","REMOTE.SERVICE_UNAVAILABLE","REMOTE.RATE_LIMIT_EXCEEDED","REMOTE.INPUT_INVALID","REMOTE.UNKNOWN_HTTP_ERROR","AI_APPLY.JOB_FEED_IMPORT_ALREADY_RUNNING","AI_APPLY.JOB_FEED_IMPORT_TIMED_OUT","AI_APPLY.JOB_POSTING_ALREADY_EXISTS"],"example":"ATS.JOB_CLOSED","description":"Some errors include an error code that can be used to identify their cause. See the [Error Handling Docs](https://docs.kombo.dev/guides/errors) for more information. For your error handling logic please use the error `code` instead of other properties (e.g. message, http status code, ...).","isRequired":true,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring> | null"},"title":{"oneOf":[{"type":"string","description":"A static, human-readable label.","isRequired":true,"uniqueKey":"error.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A static, human-readable label.","isRequired":true,"uniqueKey":"error.title.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.title","typeLabel":"string | null"},"message":{"type":"string","description":"A dynamic, detailed description of what went wrong in this specific instance.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"log_url":{"oneOf":[{"type":"string","format":"uri","description":"The log page in the Kombo UI lists every interaction with full details. If you need assistance, share that link with our support team.","isRequired":true,"uniqueKey":"error.log_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"The log page in the Kombo UI lists every interaction with full details. If you need assistance, share that link with our support team.","isRequired":true,"uniqueKey":"error.log_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.log_url","typeLabel":"string\u003curi> | null"}},"required":["code","title","message","log_url"],"description":"Error details with structured code for programmatic handling.","isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["status","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Error Response":{"title":"Error Response","description":"When building error handling logic, always use the `code` field to identify specific error types programmatically. See the complete list of error codes in the [docs](https://docs.kombo.dev/guides/errors).","value":{"status":"error","error":{"code":"INTEGRATION.MODEL_NOT_AVAILABLE","title":"This data model isn't supported for the selected integration.","message":"The \"employees\" model is not yet available for Greenhouse. Please reach out to Kombo if you need this functionality.","log_url":"https://app.kombo.dev/my-prod/logs?interactionId=123456"}}},"Minimal Error Response":{"title":"Minimal Error Response","description":"The \"message\" is always required while other fields can also be `null`. See the [docs](https://docs.kombo.dev/guides/errors) for more information.","value":{"status":"error","error":{"code":null,"title":null,"message":"The message is always in the response.","log_url":null}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"4c0fac86-c1e5-4913-8676-81ce671f879d":{"ApiKey":{"type":"http","scheme":"bearer","description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","scopes":[],"schemeName":"ApiKey"}}},"servers":{"567f150c-305b-4412-8b85-b96898ce4d14":{"url":"https://api.kombo.dev/v1","description":"Kombo EU API"},"6f753169-b8d2-4306-8677-baba237e982e":{"url":"https://api.us.kombo.dev/v1","description":"Kombo US API"},"9e44fcb7-1717-4b99-8f86-757c743ff363":{"url":"https://api.ca.kombo.dev/v1","description":"Kombo CA API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","scopes":[],"schemeName":"ApiKey"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"ApiKey","name":"Authorization"}],"title":"ApiKey"}]},"originalFileLocation":"openapi.json"},"subdomain":"kombo","siteName":"Kombo","title":"Inquire about a job posting's current form - Kombo","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-28T17:10:53.862Z","originalFileLocation":"ai-apply/v1/post-postings-posting-id-inquire.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).\">\u003cmeta data-mint-head name=\"application-name\" content=\"Kombo\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Inquire about a job posting\u0026#x27;s current form - Kombo\">\u003cmeta data-mint-head property=\"og:description\" content=\"Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Kombo\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://kombo.mintlify.app/_mintlify/api/og/v2?division=Job+postings\u0026amp;title=Inquire+about+a+job+posting%27s+current+form\u0026amp;description=Receive+the+application+form+%28screening+questions%29+for+a+job+posting+and+a+single-use+submission+JWT.+Store+the+token+with+the+exact+application+form+returned+a\u0026amp;theme=6aaa982de16023004d39177d\u0026amp;signature=a522ac22e72136ca2188abfabab395fb5fa2e16b17bb9ae8e5411154cd1c3312\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Inquire about a job posting\u0026#x27;s current form - Kombo\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://kombo.mintlify.app/_mintlify/api/og/v2?division=Job+postings\u0026amp;title=Inquire+about+a+job+posting%27s+current+form\u0026amp;description=Receive+the+application+form+%28screening+questions%29+for+a+job+posting+and+a+single-use+submission+JWT.+Store+the+token+with+the+exact+application+form+returned+a\u0026amp;theme=6aaa982de16023004d39177d\u0026amp;signature=a522ac22e72136ca2188abfabab395fb5fa2e16b17bb9ae8e5411154cd1c3312\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Kombo\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#14b8a6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/ai-apply/v1/post-postings-posting-id-inquire.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.kombo.dev/#organization\",\"name\":\"Kombo\",\"url\":\"https://docs.kombo.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/kombo/5G-BTSylUTnMNzUN/logo/light.svg?fit=max\u0026auto=format\u0026n=5G-BTSylUTnMNzUN\u0026q=85\u0026s=e63a5882dfad565ffad086e946e31625\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.kombo.dev#website\",\"name\":\"Kombo\",\"url\":\"https://docs.kombo.dev\",\"publisher\":{\"@id\":\"https://docs.kombo.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire#webpage\",\"url\":\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire\",\"name\":\"Inquire about a job posting's current form\",\"description\":\"Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).\",\"dateModified\":\"2026-09-28T17:10:53.862Z\",\"isPartOf\":{\"@id\":\"https://docs.kombo.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"AI Apply API Reference\",\"item\":\"https://docs.kombo.dev/ai-apply/v1/post-career-sites\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Job postings\",\"item\":\"https://docs.kombo.dev/ai-apply/v1/post-postings\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Inquire about a job posting's current form\",\"item\":\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire#apireference\",\"headline\":\"Inquire about a job posting's current form\",\"name\":\"Inquire about a job posting's current form\",\"description\":\"Receive the application form (screening questions) for a job posting and a single-use submission JWT. Store the token with the exact application form returned alongside it. The submission token is valid for 2 days and can be used for one application. The application form may contain conditional questions that are only shown based on answers to previous questions (check the display_when field).\",\"url\":\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire\",\"mainEntityOfPage\":{\"@id\":\"https://docs.kombo.dev/ai-apply/v1/post-postings-posting-id-inquire#webpage\"},\"dateModified\":\"2026-09-28T17:10:53.862Z\",\"publisher\":{\"@id\":\"https://docs.kombo.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.kombo.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Kombo\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Kombo","nav":{"global":null,"tabs":[{"tab":"Developer documentation","icon":"code","anchors":[{"anchor":"Overview","pages":[{"title":"Overview","href":"/introduction"}]},{"anchor":"HRIS","icon":"users","pages":[{"title":"HRIS","href":"/hris/introduction"}]},{"anchor":"LMS","icon":"graduation-cap","pages":[{"title":"LMS","href":"/lms/introduction"}]},{"anchor":"ATS","icon":"briefcase","pages":[{"title":"ATS","href":"/ats/introduction"}]},{"anchor":"ATS Assessment \u0026 Background Check","icon":"ballot-check","pages":[{"title":"ATS Assessment \u0026 Background Check","href":"/assessment/introduction"}]},{"anchor":"AI Apply","icon":"browser","groups":[{"group":"General","icon":"circle-info","pages":[{"title":"Overview","icon":"book-open","href":"/ai-apply/introduction"}]},{"group":"Implementation","icon":"code","pages":[{"group":"For job boards","icon":"pen-to-square","pages":[{"title":"Job feeds and bulk imports","icon":"book-open","href":"/ai-apply/job-boards/job-feeds"},{"title":"Sending applications through posting inquiry","icon":"clipboard-list","href":"/ai-apply/job-boards/posting-inquiry"},{"title":"Submitting applications","icon":"paper-plane","href":"/ai-apply/job-boards/submitting-applications"},{"title":"Webhooks and data fetching","icon":"bolt","href":"/ai-apply/job-boards/webhooks"}]},{"group":"For job distributors","icon":"share-nodes","pages":[{"title":"Job feeds and bulk imports","icon":"book-open","href":"/ai-apply/job-distributors/job-feeds"},{"title":"Storing application forms","icon":"rotate","href":"/ai-apply/job-distributors/storing-application-forms"},{"title":"Submitting applications","icon":"paper-plane","href":"/ai-apply/job-distributors/submitting-applications"},{"title":"Webhooks and data fetching","icon":"bolt","href":"/ai-apply/job-distributors/webhooks"}]}]},{"group":"Features","icon":"cubes","pages":[{"title":"Displaying the form","icon":"rectangle-list","href":"/ai-apply/application-form"},{"title":"Unified Keys","icon":"key","href":"/ai-apply/unified-keys"},{"title":"Query parameters","icon":"link","href":"/ai-apply/query-parameters"},{"title":"Candidate Account Creation","icon":"user-plus","href":"/ai-apply/candidate-account-creation"},{"title":"Handling bot protection","icon":"shield-check","href":"/ai-apply/bot-protection"},{"title":"QA mode","icon":"user-check","href":"/ai-apply/qa-mode"},{"title":"Manual management of job postings","icon":"wrench","href":"/ai-apply/manual-management"}]},{"group":"AI Apply API Reference","icon":"book","pages":[{"group":"Career sites","icon":"building","pages":[{"title":"Create a career site","openapi":"POST /ai-apply/career-sites","href":"/ai-apply/v1/post-career-sites"},{"title":"Get career sites","openapi":"GET /ai-apply/career-sites","href":"/ai-apply/v1/get-career-sites"}]},{"group":"Job postings","icon":"file-lines","pages":[{"title":"Parse a job posting","openapi":"POST /ai-apply/postings","href":"/ai-apply/v1/post-postings"},{"title":"Get job postings","openapi":"GET /ai-apply/postings","href":"/ai-apply/v1/get-postings"},{"title":"Get job postings with application forms","description":"Get job postings together with their application form and a reusable submission token. Postings that are not applyable return `null` for both. To fetch a single form with a single-use token at the moment a candidate applies, use the POST /postings/:id/inquire endpoint instead.","openapi":"GET /ai-apply/postings/forms","href":"/ai-apply/v1/get-postings-forms"},{"title":"Inquire about a job posting's current form","openapi":"POST /ai-apply/postings/{posting_id}/inquire","href":"/ai-apply/v1/post-postings-posting-id-inquire"}]},{"group":"Applications","icon":"paper-plane","pages":[{"title":"Submit job application","description":"Submit a job application using a submission token. The application will be queued and processed asynchronously. Returns ID to track progress and match with webhooks.","openapi":"POST /ai-apply/apply","href":"/ai-apply/v1/post-apply"},{"title":"Get applications","openapi":"GET /ai-apply/applications","href":"/ai-apply/v1/get-applications"}]},{"group":"Job feeds","icon":"rss","pages":[{"title":"Create a job feed","openapi":"POST /ai-apply/job-feeds","href":"/ai-apply/v1/post-job-feeds"},{"title":"Get job feeds","openapi":"GET /ai-apply/job-feeds","href":"/ai-apply/v1/get-job-feeds"},{"title":"Bulk import job postings","openapi":"POST /ai-apply/job-feeds/{job_feed_id}/bulk-import","href":"/ai-apply/v1/post-job-feeds-job-feed-id-bulk-import"}]}]}]},{"anchor":"Changelog","icon":"book","href":"https://changelog.kombo.dev"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.kombo.dev"}]},{"tab":"Help Center","icon":"life-ring","pages":[{"title":"Help Center","href":"/help-center"}]}]},"basePath":"","title":"Inquire about a job posting's current form - Kombo","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}